Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
26e0::/12
First address
26e0::
Last address
26ef:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
26e0:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
e.6.2.ip6.arpa
Split into smaller subnets/20

26e0::/12 makes 256 subnets of /20.

Subnets
#SubnetLast address
126e0::/2026e0:fff:ffff:ffff:ffff:ffff:ffff:ffff
226e0:1000::/2026e0:1fff:ffff:ffff:ffff:ffff:ffff:ffff
326e0:2000::/2026e0:2fff:ffff:ffff:ffff:ffff:ffff:ffff
426e0:3000::/2026e0:3fff:ffff:ffff:ffff:ffff:ffff:ffff
526e0:4000::/2026e0:4fff:ffff:ffff:ffff:ffff:ffff:ffff
626e0:5000::/2026e0:5fff:ffff:ffff:ffff:ffff:ffff:ffff
726e0:6000::/2026e0:6fff:ffff:ffff:ffff:ffff:ffff:ffff
826e0:7000::/2026e0:7fff:ffff:ffff:ffff:ffff:ffff:ffff
926e0:8000::/2026e0:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1026e0:9000::/2026e0:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1126e0:a000::/2026e0:afff:ffff:ffff:ffff:ffff:ffff:ffff
1226e0:b000::/2026e0:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1326e0:c000::/2026e0:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1426e0:d000::/2026e0:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1526e0:e000::/2026e0:efff:ffff:ffff:ffff:ffff:ffff:ffff
1626e0:f000::/2026e0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1726e1::/2026e1:fff:ffff:ffff:ffff:ffff:ffff:ffff
1826e1:1000::/2026e1:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1926e1:2000::/2026e1:2fff:ffff:ffff:ffff:ffff:ffff:ffff
2026e1:3000::/2026e1:3fff:ffff:ffff:ffff:ffff:ffff:ffff
2126e1:4000::/2026e1:4fff:ffff:ffff:ffff:ffff:ffff:ffff
2226e1:5000::/2026e1:5fff:ffff:ffff:ffff:ffff:ffff:ffff
2326e1:6000::/2026e1:6fff:ffff:ffff:ffff:ffff:ffff:ffff
2426e1:7000::/2026e1:7fff:ffff:ffff:ffff:ffff:ffff:ffff
2526e1:8000::/2026e1:8fff:ffff:ffff:ffff:ffff:ffff:ffff
2626e1:9000::/2026e1:9fff:ffff:ffff:ffff:ffff:ffff:ffff
2726e1:a000::/2026e1:afff:ffff:ffff:ffff:ffff:ffff:ffff
2826e1:b000::/2026e1:bfff:ffff:ffff:ffff:ffff:ffff:ffff
2926e1:c000::/2026e1:cfff:ffff:ffff:ffff:ffff:ffff:ffff
3026e1:d000::/2026e1:dfff:ffff:ffff:ffff:ffff:ffff:ffff
3126e1:e000::/2026e1:efff:ffff:ffff:ffff:ffff:ffff:ffff
3226e1:f000::/2026e1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
3326e2::/2026e2:fff:ffff:ffff:ffff:ffff:ffff:ffff
3426e2:1000::/2026e2:1fff:ffff:ffff:ffff:ffff:ffff:ffff
3526e2:2000::/2026e2:2fff:ffff:ffff:ffff:ffff:ffff:ffff
3626e2:3000::/2026e2:3fff:ffff:ffff:ffff:ffff:ffff:ffff
3726e2:4000::/2026e2:4fff:ffff:ffff:ffff:ffff:ffff:ffff
3826e2:5000::/2026e2:5fff:ffff:ffff:ffff:ffff:ffff:ffff
3926e2:6000::/2026e2:6fff:ffff:ffff:ffff:ffff:ffff:ffff
4026e2:7000::/2026e2:7fff:ffff:ffff:ffff:ffff:ffff:ffff
4126e2:8000::/2026e2:8fff:ffff:ffff:ffff:ffff:ffff:ffff
4226e2:9000::/2026e2:9fff:ffff:ffff:ffff:ffff:ffff:ffff
4326e2:a000::/2026e2:afff:ffff:ffff:ffff:ffff:ffff:ffff
4426e2:b000::/2026e2:bfff:ffff:ffff:ffff:ffff:ffff:ffff
4526e2:c000::/2026e2:cfff:ffff:ffff:ffff:ffff:ffff:ffff
4626e2:d000::/2026e2:dfff:ffff:ffff:ffff:ffff:ffff:ffff
4726e2:e000::/2026e2:efff:ffff:ffff:ffff:ffff:ffff:ffff
4826e2:f000::/2026e2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
4926e3::/2026e3:fff:ffff:ffff:ffff:ffff:ffff:ffff
5026e3:1000::/2026e3:1fff:ffff:ffff:ffff:ffff:ffff:ffff
5126e3:2000::/2026e3:2fff:ffff:ffff:ffff:ffff:ffff:ffff
5226e3:3000::/2026e3:3fff:ffff:ffff:ffff:ffff:ffff:ffff
5326e3:4000::/2026e3:4fff:ffff:ffff:ffff:ffff:ffff:ffff
5426e3:5000::/2026e3:5fff:ffff:ffff:ffff:ffff:ffff:ffff
5526e3:6000::/2026e3:6fff:ffff:ffff:ffff:ffff:ffff:ffff
5626e3:7000::/2026e3:7fff:ffff:ffff:ffff:ffff:ffff:ffff
5726e3:8000::/2026e3:8fff:ffff:ffff:ffff:ffff:ffff:ffff
5826e3:9000::/2026e3:9fff:ffff:ffff:ffff:ffff:ffff:ffff
5926e3:a000::/2026e3:afff:ffff:ffff:ffff:ffff:ffff:ffff
6026e3:b000::/2026e3:bfff:ffff:ffff:ffff:ffff:ffff:ffff
6126e3:c000::/2026e3:cfff:ffff:ffff:ffff:ffff:ffff:ffff
6226e3:d000::/2026e3:dfff:ffff:ffff:ffff:ffff:ffff:ffff
6326e3:e000::/2026e3:efff:ffff:ffff:ffff:ffff:ffff:ffff
6426e3:f000::/2026e3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
6526e4::/2026e4:fff:ffff:ffff:ffff:ffff:ffff:ffff
6626e4:1000::/2026e4:1fff:ffff:ffff:ffff:ffff:ffff:ffff
6726e4:2000::/2026e4:2fff:ffff:ffff:ffff:ffff:ffff:ffff
6826e4:3000::/2026e4:3fff:ffff:ffff:ffff:ffff:ffff:ffff
6926e4:4000::/2026e4:4fff:ffff:ffff:ffff:ffff:ffff:ffff
7026e4:5000::/2026e4:5fff:ffff:ffff:ffff:ffff:ffff:ffff
7126e4:6000::/2026e4:6fff:ffff:ffff:ffff:ffff:ffff:ffff
7226e4:7000::/2026e4:7fff:ffff:ffff:ffff:ffff:ffff:ffff
7326e4:8000::/2026e4:8fff:ffff:ffff:ffff:ffff:ffff:ffff
7426e4:9000::/2026e4:9fff:ffff:ffff:ffff:ffff:ffff:ffff
7526e4:a000::/2026e4:afff:ffff:ffff:ffff:ffff:ffff:ffff
7626e4:b000::/2026e4:bfff:ffff:ffff:ffff:ffff:ffff:ffff
7726e4:c000::/2026e4:cfff:ffff:ffff:ffff:ffff:ffff:ffff
7826e4:d000::/2026e4:dfff:ffff:ffff:ffff:ffff:ffff:ffff
7926e4:e000::/2026e4:efff:ffff:ffff:ffff:ffff:ffff:ffff
8026e4:f000::/2026e4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
8126e5::/2026e5:fff:ffff:ffff:ffff:ffff:ffff:ffff
8226e5:1000::/2026e5:1fff:ffff:ffff:ffff:ffff:ffff:ffff
8326e5:2000::/2026e5:2fff:ffff:ffff:ffff:ffff:ffff:ffff
8426e5:3000::/2026e5:3fff:ffff:ffff:ffff:ffff:ffff:ffff
8526e5:4000::/2026e5:4fff:ffff:ffff:ffff:ffff:ffff:ffff
8626e5:5000::/2026e5:5fff:ffff:ffff:ffff:ffff:ffff:ffff
8726e5:6000::/2026e5:6fff:ffff:ffff:ffff:ffff:ffff:ffff
8826e5:7000::/2026e5:7fff:ffff:ffff:ffff:ffff:ffff:ffff
8926e5:8000::/2026e5:8fff:ffff:ffff:ffff:ffff:ffff:ffff
9026e5:9000::/2026e5:9fff:ffff:ffff:ffff:ffff:ffff:ffff
9126e5:a000::/2026e5:afff:ffff:ffff:ffff:ffff:ffff:ffff
9226e5:b000::/2026e5:bfff:ffff:ffff:ffff:ffff:ffff:ffff
9326e5:c000::/2026e5:cfff:ffff:ffff:ffff:ffff:ffff:ffff
9426e5:d000::/2026e5:dfff:ffff:ffff:ffff:ffff:ffff:ffff
9526e5:e000::/2026e5:efff:ffff:ffff:ffff:ffff:ffff:ffff
9626e5:f000::/2026e5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
9726e6::/2026e6:fff:ffff:ffff:ffff:ffff:ffff:ffff
9826e6:1000::/2026e6:1fff:ffff:ffff:ffff:ffff:ffff:ffff
9926e6:2000::/2026e6:2fff:ffff:ffff:ffff:ffff:ffff:ffff
10026e6:3000::/2026e6:3fff:ffff:ffff:ffff:ffff:ffff:ffff
10126e6:4000::/2026e6:4fff:ffff:ffff:ffff:ffff:ffff:ffff
10226e6:5000::/2026e6:5fff:ffff:ffff:ffff:ffff:ffff:ffff
10326e6:6000::/2026e6:6fff:ffff:ffff:ffff:ffff:ffff:ffff
10426e6:7000::/2026e6:7fff:ffff:ffff:ffff:ffff:ffff:ffff
10526e6:8000::/2026e6:8fff:ffff:ffff:ffff:ffff:ffff:ffff
10626e6:9000::/2026e6:9fff:ffff:ffff:ffff:ffff:ffff:ffff
10726e6:a000::/2026e6:afff:ffff:ffff:ffff:ffff:ffff:ffff
10826e6:b000::/2026e6:bfff:ffff:ffff:ffff:ffff:ffff:ffff
10926e6:c000::/2026e6:cfff:ffff:ffff:ffff:ffff:ffff:ffff
11026e6:d000::/2026e6:dfff:ffff:ffff:ffff:ffff:ffff:ffff
11126e6:e000::/2026e6:efff:ffff:ffff:ffff:ffff:ffff:ffff
11226e6:f000::/2026e6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
11326e7::/2026e7:fff:ffff:ffff:ffff:ffff:ffff:ffff
11426e7:1000::/2026e7:1fff:ffff:ffff:ffff:ffff:ffff:ffff
11526e7:2000::/2026e7:2fff:ffff:ffff:ffff:ffff:ffff:ffff
11626e7:3000::/2026e7:3fff:ffff:ffff:ffff:ffff:ffff:ffff
11726e7:4000::/2026e7:4fff:ffff:ffff:ffff:ffff:ffff:ffff
11826e7:5000::/2026e7:5fff:ffff:ffff:ffff:ffff:ffff:ffff
11926e7:6000::/2026e7:6fff:ffff:ffff:ffff:ffff:ffff:ffff
12026e7:7000::/2026e7:7fff:ffff:ffff:ffff:ffff:ffff:ffff
12126e7:8000::/2026e7:8fff:ffff:ffff:ffff:ffff:ffff:ffff
12226e7:9000::/2026e7:9fff:ffff:ffff:ffff:ffff:ffff:ffff
12326e7:a000::/2026e7:afff:ffff:ffff:ffff:ffff:ffff:ffff
12426e7:b000::/2026e7:bfff:ffff:ffff:ffff:ffff:ffff:ffff
12526e7:c000::/2026e7:cfff:ffff:ffff:ffff:ffff:ffff:ffff
12626e7:d000::/2026e7:dfff:ffff:ffff:ffff:ffff:ffff:ffff
12726e7:e000::/2026e7:efff:ffff:ffff:ffff:ffff:ffff:ffff
12826e7:f000::/2026e7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
12926e8::/2026e8:fff:ffff:ffff:ffff:ffff:ffff:ffff
13026e8:1000::/2026e8:1fff:ffff:ffff:ffff:ffff:ffff:ffff
13126e8:2000::/2026e8:2fff:ffff:ffff:ffff:ffff:ffff:ffff
13226e8:3000::/2026e8:3fff:ffff:ffff:ffff:ffff:ffff:ffff
13326e8:4000::/2026e8:4fff:ffff:ffff:ffff:ffff:ffff:ffff
13426e8:5000::/2026e8:5fff:ffff:ffff:ffff:ffff:ffff:ffff
13526e8:6000::/2026e8:6fff:ffff:ffff:ffff:ffff:ffff:ffff
13626e8:7000::/2026e8:7fff:ffff:ffff:ffff:ffff:ffff:ffff
13726e8:8000::/2026e8:8fff:ffff:ffff:ffff:ffff:ffff:ffff
13826e8:9000::/2026e8:9fff:ffff:ffff:ffff:ffff:ffff:ffff
13926e8:a000::/2026e8:afff:ffff:ffff:ffff:ffff:ffff:ffff
14026e8:b000::/2026e8:bfff:ffff:ffff:ffff:ffff:ffff:ffff
14126e8:c000::/2026e8:cfff:ffff:ffff:ffff:ffff:ffff:ffff
14226e8:d000::/2026e8:dfff:ffff:ffff:ffff:ffff:ffff:ffff
14326e8:e000::/2026e8:efff:ffff:ffff:ffff:ffff:ffff:ffff
14426e8:f000::/2026e8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
14526e9::/2026e9:fff:ffff:ffff:ffff:ffff:ffff:ffff
14626e9:1000::/2026e9:1fff:ffff:ffff:ffff:ffff:ffff:ffff
14726e9:2000::/2026e9:2fff:ffff:ffff:ffff:ffff:ffff:ffff
14826e9:3000::/2026e9:3fff:ffff:ffff:ffff:ffff:ffff:ffff
14926e9:4000::/2026e9:4fff:ffff:ffff:ffff:ffff:ffff:ffff
15026e9:5000::/2026e9:5fff:ffff:ffff:ffff:ffff:ffff:ffff
15126e9:6000::/2026e9:6fff:ffff:ffff:ffff:ffff:ffff:ffff
15226e9:7000::/2026e9:7fff:ffff:ffff:ffff:ffff:ffff:ffff
15326e9:8000::/2026e9:8fff:ffff:ffff:ffff:ffff:ffff:ffff
15426e9:9000::/2026e9:9fff:ffff:ffff:ffff:ffff:ffff:ffff
15526e9:a000::/2026e9:afff:ffff:ffff:ffff:ffff:ffff:ffff
15626e9:b000::/2026e9:bfff:ffff:ffff:ffff:ffff:ffff:ffff
15726e9:c000::/2026e9:cfff:ffff:ffff:ffff:ffff:ffff:ffff
15826e9:d000::/2026e9:dfff:ffff:ffff:ffff:ffff:ffff:ffff
15926e9:e000::/2026e9:efff:ffff:ffff:ffff:ffff:ffff:ffff
16026e9:f000::/2026e9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16126ea::/2026ea:fff:ffff:ffff:ffff:ffff:ffff:ffff
16226ea:1000::/2026ea:1fff:ffff:ffff:ffff:ffff:ffff:ffff
16326ea:2000::/2026ea:2fff:ffff:ffff:ffff:ffff:ffff:ffff
16426ea:3000::/2026ea:3fff:ffff:ffff:ffff:ffff:ffff:ffff
16526ea:4000::/2026ea:4fff:ffff:ffff:ffff:ffff:ffff:ffff
16626ea:5000::/2026ea:5fff:ffff:ffff:ffff:ffff:ffff:ffff
16726ea:6000::/2026ea:6fff:ffff:ffff:ffff:ffff:ffff:ffff
16826ea:7000::/2026ea:7fff:ffff:ffff:ffff:ffff:ffff:ffff
16926ea:8000::/2026ea:8fff:ffff:ffff:ffff:ffff:ffff:ffff
17026ea:9000::/2026ea:9fff:ffff:ffff:ffff:ffff:ffff:ffff
17126ea:a000::/2026ea:afff:ffff:ffff:ffff:ffff:ffff:ffff
17226ea:b000::/2026ea:bfff:ffff:ffff:ffff:ffff:ffff:ffff
17326ea:c000::/2026ea:cfff:ffff:ffff:ffff:ffff:ffff:ffff
17426ea:d000::/2026ea:dfff:ffff:ffff:ffff:ffff:ffff:ffff
17526ea:e000::/2026ea:efff:ffff:ffff:ffff:ffff:ffff:ffff
17626ea:f000::/2026ea:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17726eb::/2026eb:fff:ffff:ffff:ffff:ffff:ffff:ffff
17826eb:1000::/2026eb:1fff:ffff:ffff:ffff:ffff:ffff:ffff
17926eb:2000::/2026eb:2fff:ffff:ffff:ffff:ffff:ffff:ffff
18026eb:3000::/2026eb:3fff:ffff:ffff:ffff:ffff:ffff:ffff
18126eb:4000::/2026eb:4fff:ffff:ffff:ffff:ffff:ffff:ffff
18226eb:5000::/2026eb:5fff:ffff:ffff:ffff:ffff:ffff:ffff
18326eb:6000::/2026eb:6fff:ffff:ffff:ffff:ffff:ffff:ffff
18426eb:7000::/2026eb:7fff:ffff:ffff:ffff:ffff:ffff:ffff
18526eb:8000::/2026eb:8fff:ffff:ffff:ffff:ffff:ffff:ffff
18626eb:9000::/2026eb:9fff:ffff:ffff:ffff:ffff:ffff:ffff
18726eb:a000::/2026eb:afff:ffff:ffff:ffff:ffff:ffff:ffff
18826eb:b000::/2026eb:bfff:ffff:ffff:ffff:ffff:ffff:ffff
18926eb:c000::/2026eb:cfff:ffff:ffff:ffff:ffff:ffff:ffff
19026eb:d000::/2026eb:dfff:ffff:ffff:ffff:ffff:ffff:ffff
19126eb:e000::/2026eb:efff:ffff:ffff:ffff:ffff:ffff:ffff
19226eb:f000::/2026eb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19326ec::/2026ec:fff:ffff:ffff:ffff:ffff:ffff:ffff
19426ec:1000::/2026ec:1fff:ffff:ffff:ffff:ffff:ffff:ffff
19526ec:2000::/2026ec:2fff:ffff:ffff:ffff:ffff:ffff:ffff
19626ec:3000::/2026ec:3fff:ffff:ffff:ffff:ffff:ffff:ffff
19726ec:4000::/2026ec:4fff:ffff:ffff:ffff:ffff:ffff:ffff
19826ec:5000::/2026ec:5fff:ffff:ffff:ffff:ffff:ffff:ffff
19926ec:6000::/2026ec:6fff:ffff:ffff:ffff:ffff:ffff:ffff
20026ec:7000::/2026ec:7fff:ffff:ffff:ffff:ffff:ffff:ffff
20126ec:8000::/2026ec:8fff:ffff:ffff:ffff:ffff:ffff:ffff
20226ec:9000::/2026ec:9fff:ffff:ffff:ffff:ffff:ffff:ffff
20326ec:a000::/2026ec:afff:ffff:ffff:ffff:ffff:ffff:ffff
20426ec:b000::/2026ec:bfff:ffff:ffff:ffff:ffff:ffff:ffff
20526ec:c000::/2026ec:cfff:ffff:ffff:ffff:ffff:ffff:ffff
20626ec:d000::/2026ec:dfff:ffff:ffff:ffff:ffff:ffff:ffff
20726ec:e000::/2026ec:efff:ffff:ffff:ffff:ffff:ffff:ffff
20826ec:f000::/2026ec:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20926ed::/2026ed:fff:ffff:ffff:ffff:ffff:ffff:ffff
21026ed:1000::/2026ed:1fff:ffff:ffff:ffff:ffff:ffff:ffff
21126ed:2000::/2026ed:2fff:ffff:ffff:ffff:ffff:ffff:ffff
21226ed:3000::/2026ed:3fff:ffff:ffff:ffff:ffff:ffff:ffff
21326ed:4000::/2026ed:4fff:ffff:ffff:ffff:ffff:ffff:ffff
21426ed:5000::/2026ed:5fff:ffff:ffff:ffff:ffff:ffff:ffff
21526ed:6000::/2026ed:6fff:ffff:ffff:ffff:ffff:ffff:ffff
21626ed:7000::/2026ed:7fff:ffff:ffff:ffff:ffff:ffff:ffff
21726ed:8000::/2026ed:8fff:ffff:ffff:ffff:ffff:ffff:ffff
21826ed:9000::/2026ed:9fff:ffff:ffff:ffff:ffff:ffff:ffff
21926ed:a000::/2026ed:afff:ffff:ffff:ffff:ffff:ffff:ffff
22026ed:b000::/2026ed:bfff:ffff:ffff:ffff:ffff:ffff:ffff
22126ed:c000::/2026ed:cfff:ffff:ffff:ffff:ffff:ffff:ffff
22226ed:d000::/2026ed:dfff:ffff:ffff:ffff:ffff:ffff:ffff
22326ed:e000::/2026ed:efff:ffff:ffff:ffff:ffff:ffff:ffff
22426ed:f000::/2026ed:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22526ee::/2026ee:fff:ffff:ffff:ffff:ffff:ffff:ffff
22626ee:1000::/2026ee:1fff:ffff:ffff:ffff:ffff:ffff:ffff
22726ee:2000::/2026ee:2fff:ffff:ffff:ffff:ffff:ffff:ffff
22826ee:3000::/2026ee:3fff:ffff:ffff:ffff:ffff:ffff:ffff
22926ee:4000::/2026ee:4fff:ffff:ffff:ffff:ffff:ffff:ffff
23026ee:5000::/2026ee:5fff:ffff:ffff:ffff:ffff:ffff:ffff
23126ee:6000::/2026ee:6fff:ffff:ffff:ffff:ffff:ffff:ffff
23226ee:7000::/2026ee:7fff:ffff:ffff:ffff:ffff:ffff:ffff
23326ee:8000::/2026ee:8fff:ffff:ffff:ffff:ffff:ffff:ffff
23426ee:9000::/2026ee:9fff:ffff:ffff:ffff:ffff:ffff:ffff
23526ee:a000::/2026ee:afff:ffff:ffff:ffff:ffff:ffff:ffff
23626ee:b000::/2026ee:bfff:ffff:ffff:ffff:ffff:ffff:ffff
23726ee:c000::/2026ee:cfff:ffff:ffff:ffff:ffff:ffff:ffff
23826ee:d000::/2026ee:dfff:ffff:ffff:ffff:ffff:ffff:ffff
23926ee:e000::/2026ee:efff:ffff:ffff:ffff:ffff:ffff:ffff
24026ee:f000::/2026ee:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24126ef::/2026ef:fff:ffff:ffff:ffff:ffff:ffff:ffff
24226ef:1000::/2026ef:1fff:ffff:ffff:ffff:ffff:ffff:ffff
24326ef:2000::/2026ef:2fff:ffff:ffff:ffff:ffff:ffff:ffff
24426ef:3000::/2026ef:3fff:ffff:ffff:ffff:ffff:ffff:ffff
24526ef:4000::/2026ef:4fff:ffff:ffff:ffff:ffff:ffff:ffff
24626ef:5000::/2026ef:5fff:ffff:ffff:ffff:ffff:ffff:ffff
24726ef:6000::/2026ef:6fff:ffff:ffff:ffff:ffff:ffff:ffff
24826ef:7000::/2026ef:7fff:ffff:ffff:ffff:ffff:ffff:ffff
24926ef:8000::/2026ef:8fff:ffff:ffff:ffff:ffff:ffff:ffff
25026ef:9000::/2026ef:9fff:ffff:ffff:ffff:ffff:ffff:ffff
25126ef:a000::/2026ef:afff:ffff:ffff:ffff:ffff:ffff:ffff
25226ef:b000::/2026ef:bfff:ffff:ffff:ffff:ffff:ffff:ffff
25326ef:c000::/2026ef:cfff:ffff:ffff:ffff:ffff:ffff:ffff
25426ef:d000::/2026ef:dfff:ffff:ffff:ffff:ffff:ffff:ffff
25526ef:e000::/2026ef:efff:ffff:ffff:ffff:ffff:ffff:ffff
25626ef:f000::/2026ef:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses